using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x144e, 0x1453 )]
	public class DaemonArms : BaseArmor
	{
		[Constructable]
		public DaemonArms() : base( 0x144E, OreInfo.Iron, 46, ArmorMaterialType.Bone, ArmorBodyType.Arms )
		{
			Name = "daemon bone arms";
			Weight = 1;
			DexBonus = -2;
			StrRequirement = 40;
			Hue = 0x648;
		}

		public DaemonArms( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}