using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13d5, 0x13dd )]
	public class RangerGloves : BaseArmor
	{
		[Constructable]
		public RangerGloves() : base( 0x13D5, OreInfo.Iron, 16, ArmorMaterialType.Studded, ArmorBodyType.Gloves )
		{
			Name = "studded leather, ranger armor";
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 25;
			Hue = 0x59C;
		}

		public RangerGloves( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}