using System;

namespace Server.Items
{
	[FlipableAttribute(0xB2C, 0xB2D)]
	public class WoodenBench : Item, IDyable
	{
		[Constructable]
		public WoodenBench() : base(0xB2C)
		{
			Weight = 6;
		}

		public WoodenBench(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}