using System;
using Server;

namespace Server.Mobiles
{
	public class EvilHealer : BaseHealer
	{
		[Constructable]
		public EvilHealer()
		{
			Title = "the healer";
			Kills = 50;
		}

		public override bool CheckResurrect( Mobile m )
		{
			return true;
		}

		public EvilHealer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}