using System;
using Server.Items;

namespace Server.Items
{
	public class PlateHelm : BaseArmor
	{
		[Constructable]
		public PlateHelm() : base( 0x1412, OreInfo.Iron, 40, ArmorMaterialType.Plate, ArmorBodyType.Helmet )
		{
			Weight = 1;
			DexBonus = -1;
			StrRequirement = 40;
		}

		public PlateHelm( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}